#1 Update Python 2 dependency declarations to new packaging standards
Merged 6 years ago by cwickert. Opened 6 years ago by ishcherb.
rpms/ ishcherb/batti pyambiguous  into  master

file modified
+8 -4
@@ -4,7 +4,7 @@ 

  

  Name:           batti

  Version:        0.3.8

- Release:        12%{?dist}

+ Release:        13%{?dist}

  Summary:        Simple battery monitor for the system tray

  

  Group:          Applications/System
@@ -14,12 +14,12 @@ 

  BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

  

  BuildArch:      noarch

- BuildRequires:  python-devel

+ BuildRequires:  python2-devel

  BuildRequires:  desktop-file-utils

  BuildRequires:  gettext

  Requires:       pygtk2

- Requires:       dbus-python

- Requires:       notify-python

+ Requires:       python2-dbus

+ Requires:       python2-notify

  %if 0%{?fedora} >= 13

  Requires:       upower

  %else
@@ -85,6 +85,10 @@ 

  

  

  %changelog

+ * Fri Dec 15 2017 Iryna Shcherbina <ishcherb@redhat.com> - 0.3.8-13

+ - Update Python 2 dependency declarations to new packaging standards

+   (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

+ 

  * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.8-12

  - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

  

This package uses names with ambiguous python- prefix in requirements.

According to Fedora Packaging guidelines for Python, packages must use names with either python2- or python3- prefix in requirements where available.
We are aiming to rename python-* dependencies to python2-*, so we can later switch the python-* namespace to Python 3.

This PR is part of Fedora's Switch to Python 3 effort.

Note that, although this PR was created automatically, we will respond to any comments or issues which you might find with it. We will keep the PR open for review for a week, and if there's no feedback we'll merge it.
The local mock build passed, for Koji scratch build please see simple-koji-ci result.

Note: please do not backport this to f26, f27 branch(es) as some of the modified requirements are not available there

This PR was opened automatically, for source code see here

Pull-Request has been merged by cwickert

6 years ago